Skip to main content
Resource Center/Network Service/Network Service Operations/EIP Operations
GETEIP OperationsSince 4.4.6SynchronousAuth Required

GetVmNicAttachableEips

GetVmNicAttachableEips

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • vmNicUuidStringRequired

    The VM NIC UUID.

Query Parameters

  • ipVersionInteger

    Optional. The IP version.

  • limitInteger

    Optional. The limit of the returned results.

  • startInteger

    Optional. The start position of the query.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • vmNicUuidStringRequired

      The VM NIC UUID.

    • vipUuidStringRequired

      The VIP UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStringRequired

      当前状态。

    • vipIpStringRequired

      No description provided.

    • guestIpStringRequired

      No description provided.

Endpoint

GET/zstack/v1/vm-instances/nics/{vmNicUuid}/candidate-eips

/zstack/v1/vm-instances/nics/{vmNicUuid}/candidate-eips

Operation ID

GetVmNicAttachableEips

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/nics/{vmNicUuid}/candidate-eips?ipVersion=1&limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "fe174df8c1003e3a9f13aa73104f45ee", "name": "eip", "vmNicUuid": "d29fb63d5aba4bbf98ec8663d6b4ba21", "vipUuid": "a5cfe85eb0d7448fbe153360c52114ce", "createDate": "Nov 14, 2017 9:20:57 AM", "lastOpDate": "Nov 14, 2017 9:20:57 AM", "state": "Enable", "vipIp": "10.72.109.11", "guestIp": "172.168.1.1" } ] }

Change History

This API has no change history records yet.

View all change history